

#include "smtp_parsers.h"
#include "util.h"
#include "addr.h"


static const int smtp_ip_parser_start = 1;
static const int smtp_ip_parser_first_final = 155;
static const int smtp_ip_parser_error = 0;

static const int smtp_ip_parser_en_main = 1;

static const char _smtp_ip_parser_nfa_targs[] = {
	0, 0
};

static const char _smtp_ip_parser_nfa_offsets[] = {
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0
};

static const char _smtp_ip_parser_nfa_push_actions[] = {
	0, 0
};

static const char _smtp_ip_parser_nfa_pop_trans[] = {
	0, 0
};



rspamd_inet_addr_t *
rspamd_parse_smtp_ip (const char *data, size_t len, rspamd_mempool_t *pool)
{
	const char *p = data, *pe = data + len, *eof = data + len;
	const char *ip_start = NULL, *ip_end = NULL;
	gboolean in_v6 = FALSE;
	gint cs=0;
	
	
	{
		cs = (int)smtp_ip_parser_start;
	}
	
	
	{
		if ( p == pe )
		goto _test_eof;
		switch ( cs )
		{
			case 1:
			goto st_case_1;
			case 0:
			goto st_case_0;
			case 2:
			goto st_case_2;
			case 3:
			goto st_case_3;
			case 4:
			goto st_case_4;
			case 5:
			goto st_case_5;
			case 6:
			goto st_case_6;
			case 7:
			goto st_case_7;
			case 155:
			goto st_case_155;
			case 156:
			goto st_case_156;
			case 157:
			goto st_case_157;
			case 8:
			goto st_case_8;
			case 9:
			goto st_case_9;
			case 10:
			goto st_case_10;
			case 11:
			goto st_case_11;
			case 12:
			goto st_case_12;
			case 13:
			goto st_case_13;
			case 14:
			goto st_case_14;
			case 15:
			goto st_case_15;
			case 16:
			goto st_case_16;
			case 17:
			goto st_case_17;
			case 18:
			goto st_case_18;
			case 158:
			goto st_case_158;
			case 19:
			goto st_case_19;
			case 20:
			goto st_case_20;
			case 21:
			goto st_case_21;
			case 22:
			goto st_case_22;
			case 23:
			goto st_case_23;
			case 24:
			goto st_case_24;
			case 25:
			goto st_case_25;
			case 26:
			goto st_case_26;
			case 27:
			goto st_case_27;
			case 28:
			goto st_case_28;
			case 29:
			goto st_case_29;
			case 30:
			goto st_case_30;
			case 31:
			goto st_case_31;
			case 32:
			goto st_case_32;
			case 33:
			goto st_case_33;
			case 34:
			goto st_case_34;
			case 35:
			goto st_case_35;
			case 36:
			goto st_case_36;
			case 37:
			goto st_case_37;
			case 38:
			goto st_case_38;
			case 39:
			goto st_case_39;
			case 40:
			goto st_case_40;
			case 41:
			goto st_case_41;
			case 42:
			goto st_case_42;
			case 43:
			goto st_case_43;
			case 44:
			goto st_case_44;
			case 45:
			goto st_case_45;
			case 46:
			goto st_case_46;
			case 47:
			goto st_case_47;
			case 48:
			goto st_case_48;
			case 49:
			goto st_case_49;
			case 50:
			goto st_case_50;
			case 51:
			goto st_case_51;
			case 52:
			goto st_case_52;
			case 53:
			goto st_case_53;
			case 54:
			goto st_case_54;
			case 55:
			goto st_case_55;
			case 56:
			goto st_case_56;
			case 57:
			goto st_case_57;
			case 58:
			goto st_case_58;
			case 59:
			goto st_case_59;
			case 60:
			goto st_case_60;
			case 61:
			goto st_case_61;
			case 62:
			goto st_case_62;
			case 63:
			goto st_case_63;
			case 64:
			goto st_case_64;
			case 65:
			goto st_case_65;
			case 66:
			goto st_case_66;
			case 67:
			goto st_case_67;
			case 68:
			goto st_case_68;
			case 69:
			goto st_case_69;
			case 70:
			goto st_case_70;
			case 71:
			goto st_case_71;
			case 72:
			goto st_case_72;
			case 73:
			goto st_case_73;
			case 74:
			goto st_case_74;
			case 75:
			goto st_case_75;
			case 76:
			goto st_case_76;
			case 77:
			goto st_case_77;
			case 78:
			goto st_case_78;
			case 79:
			goto st_case_79;
			case 80:
			goto st_case_80;
			case 81:
			goto st_case_81;
			case 82:
			goto st_case_82;
			case 83:
			goto st_case_83;
			case 84:
			goto st_case_84;
			case 85:
			goto st_case_85;
			case 86:
			goto st_case_86;
			case 87:
			goto st_case_87;
			case 88:
			goto st_case_88;
			case 89:
			goto st_case_89;
			case 90:
			goto st_case_90;
			case 91:
			goto st_case_91;
			case 92:
			goto st_case_92;
			case 93:
			goto st_case_93;
			case 94:
			goto st_case_94;
			case 95:
			goto st_case_95;
			case 96:
			goto st_case_96;
			case 97:
			goto st_case_97;
			case 98:
			goto st_case_98;
			case 99:
			goto st_case_99;
			case 100:
			goto st_case_100;
			case 101:
			goto st_case_101;
			case 102:
			goto st_case_102;
			case 103:
			goto st_case_103;
			case 104:
			goto st_case_104;
			case 105:
			goto st_case_105;
			case 106:
			goto st_case_106;
			case 107:
			goto st_case_107;
			case 108:
			goto st_case_108;
			case 109:
			goto st_case_109;
			case 110:
			goto st_case_110;
			case 111:
			goto st_case_111;
			case 112:
			goto st_case_112;
			case 113:
			goto st_case_113;
			case 114:
			goto st_case_114;
			case 115:
			goto st_case_115;
			case 116:
			goto st_case_116;
			case 117:
			goto st_case_117;
			case 118:
			goto st_case_118;
			case 119:
			goto st_case_119;
			case 120:
			goto st_case_120;
			case 121:
			goto st_case_121;
			case 122:
			goto st_case_122;
			case 123:
			goto st_case_123;
			case 124:
			goto st_case_124;
			case 125:
			goto st_case_125;
			case 126:
			goto st_case_126;
			case 127:
			goto st_case_127;
			case 128:
			goto st_case_128;
			case 129:
			goto st_case_129;
			case 130:
			goto st_case_130;
			case 131:
			goto st_case_131;
			case 132:
			goto st_case_132;
			case 133:
			goto st_case_133;
			case 134:
			goto st_case_134;
			case 135:
			goto st_case_135;
			case 136:
			goto st_case_136;
			case 137:
			goto st_case_137;
			case 138:
			goto st_case_138;
			case 139:
			goto st_case_139;
			case 140:
			goto st_case_140;
			case 141:
			goto st_case_141;
			case 142:
			goto st_case_142;
			case 143:
			goto st_case_143;
			case 144:
			goto st_case_144;
			case 145:
			goto st_case_145;
			case 146:
			goto st_case_146;
			case 147:
			goto st_case_147;
			case 148:
			goto st_case_148;
			case 149:
			goto st_case_149;
			case 150:
			goto st_case_150;
			case 151:
			goto st_case_151;
			case 152:
			goto st_case_152;
			case 153:
			goto st_case_153;
			case 154:
			goto st_case_154;
		}
		goto st_out;
		st_case_1:
		if ( ( (*( p))) == 91 ) {
			goto st14;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto ctr0;
		}
		{
			goto st0;
		}
		st_case_0:
		st0:
		cs = 0;
		goto _out;
		ctr0:
		{
			#line 24 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st2;
		st2:
		p+= 1;
		if ( p == pe )
		goto _test_eof2;
		st_case_2:
		if ( ( (*( p))) == 46 ) {
			goto st3;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st12;
		}
		{
			goto st0;
		}
		st3:
		p+= 1;
		if ( p == pe )
		goto _test_eof3;
		st_case_3:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st4;
		}
		{
			goto st0;
		}
		st4:
		p+= 1;
		if ( p == pe )
		goto _test_eof4;
		st_case_4:
		if ( ( (*( p))) == 46 ) {
			goto st5;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st10;
		}
		{
			goto st0;
		}
		st5:
		p+= 1;
		if ( p == pe )
		goto _test_eof5;
		st_case_5:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st6;
		}
		{
			goto st0;
		}
		st6:
		p+= 1;
		if ( p == pe )
		goto _test_eof6;
		st_case_6:
		if ( ( (*( p))) == 46 ) {
			goto st7;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st8;
		}
		{
			goto st0;
		}
		st7:
		p+= 1;
		if ( p == pe )
		goto _test_eof7;
		st_case_7:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st155;
		}
		{
			goto st0;
		}
		st155:
		p+= 1;
		if ( p == pe )
		goto _test_eof155;
		st_case_155:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st156;
		}
		{
			goto st0;
		}
		st156:
		p+= 1;
		if ( p == pe )
		goto _test_eof156;
		st_case_156:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st157;
		}
		{
			goto st0;
		}
		st157:
		p+= 1;
		if ( p == pe )
		goto _test_eof157;
		st_case_157:
		{
			goto st0;
		}
		st8:
		p+= 1;
		if ( p == pe )
		goto _test_eof8;
		st_case_8:
		if ( ( (*( p))) == 46 ) {
			goto st7;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st9;
		}
		{
			goto st0;
		}
		st9:
		p+= 1;
		if ( p == pe )
		goto _test_eof9;
		st_case_9:
		if ( ( (*( p))) == 46 ) {
			goto st7;
		}
		{
			goto st0;
		}
		st10:
		p+= 1;
		if ( p == pe )
		goto _test_eof10;
		st_case_10:
		if ( ( (*( p))) == 46 ) {
			goto st5;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st11;
		}
		{
			goto st0;
		}
		st11:
		p+= 1;
		if ( p == pe )
		goto _test_eof11;
		st_case_11:
		if ( ( (*( p))) == 46 ) {
			goto st5;
		}
		{
			goto st0;
		}
		st12:
		p+= 1;
		if ( p == pe )
		goto _test_eof12;
		st_case_12:
		if ( ( (*( p))) == 46 ) {
			goto st3;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st13;
		}
		{
			goto st0;
		}
		st13:
		p+= 1;
		if ( p == pe )
		goto _test_eof13;
		st_case_13:
		if ( ( (*( p))) == 46 ) {
			goto st3;
		}
		{
			goto st0;
		}
		st14:
		p+= 1;
		if ( p == pe )
		goto _test_eof14;
		st_case_14:
		switch( ( (*( p))) ) {
			case 45: {
				goto ctr15;
			}
			case 73: {
				goto ctr18;
			}
			case 95: {
				goto ctr15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto ctr16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto ctr17;
			}
		} else {
			goto ctr17;
		}
		{
			goto st0;
		}
		ctr15:
		{
			#line 24 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st15;
		st15:
		p+= 1;
		if ( p == pe )
		goto _test_eof15;
		st_case_15:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		ctr17:
		{
			#line 24 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st16;
		st16:
		p+= 1;
		if ( p == pe )
		goto _test_eof16;
		st_case_16:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st17:
		p+= 1;
		if ( p == pe )
		goto _test_eof17;
		st_case_17:
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st18:
		p+= 1;
		if ( p == pe )
		goto _test_eof18;
		st_case_18:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		ctr23:
		{
			#line 25 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st158;
		ctr34:
		{
			#line 18 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_end = p;
			}
		}
		{
			#line 25 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st158;
		ctr90:
		{
			#line 18 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_end = p;
			}
		}
		{
			#line 9 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			in_v6 = 0;
			ip_end = p;
		}
		{
			#line 25 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st158;
		ctr99:
		{
			#line 9 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			in_v6 = 0;
			ip_end = p;
		}
		{
			#line 25 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st158;
		st158:
		p+= 1;
		if ( p == pe )
		goto _test_eof158;
		st_case_158:
		{
			goto st0;
		}
		ctr16:
		{
			#line 24 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st19;
		st19:
		p+= 1;
		if ( p == pe )
		goto _test_eof19;
		st_case_19:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 46: {
				goto st20;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st32;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st20:
		p+= 1;
		if ( p == pe )
		goto _test_eof20;
		st_case_20:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st21;
		}
		{
			goto st0;
		}
		st21:
		p+= 1;
		if ( p == pe )
		goto _test_eof21;
		st_case_21:
		if ( ( (*( p))) == 46 ) {
			goto st22;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st30;
		}
		{
			goto st0;
		}
		st22:
		p+= 1;
		if ( p == pe )
		goto _test_eof22;
		st_case_22:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st23;
		}
		{
			goto st0;
		}
		st23:
		p+= 1;
		if ( p == pe )
		goto _test_eof23;
		st_case_23:
		if ( ( (*( p))) == 46 ) {
			goto st24;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st28;
		}
		{
			goto st0;
		}
		st24:
		p+= 1;
		if ( p == pe )
		goto _test_eof24;
		st_case_24:
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st25;
		}
		{
			goto st0;
		}
		st25:
		p+= 1;
		if ( p == pe )
		goto _test_eof25;
		st_case_25:
		if ( ( (*( p))) == 93 ) {
			goto ctr34;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st26;
		}
		{
			goto st0;
		}
		st26:
		p+= 1;
		if ( p == pe )
		goto _test_eof26;
		st_case_26:
		if ( ( (*( p))) == 93 ) {
			goto ctr34;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st27;
		}
		{
			goto st0;
		}
		st27:
		p+= 1;
		if ( p == pe )
		goto _test_eof27;
		st_case_27:
		if ( ( (*( p))) == 93 ) {
			goto ctr34;
		}
		{
			goto st0;
		}
		st28:
		p+= 1;
		if ( p == pe )
		goto _test_eof28;
		st_case_28:
		if ( ( (*( p))) == 46 ) {
			goto st24;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st29;
		}
		{
			goto st0;
		}
		st29:
		p+= 1;
		if ( p == pe )
		goto _test_eof29;
		st_case_29:
		if ( ( (*( p))) == 46 ) {
			goto st24;
		}
		{
			goto st0;
		}
		st30:
		p+= 1;
		if ( p == pe )
		goto _test_eof30;
		st_case_30:
		if ( ( (*( p))) == 46 ) {
			goto st22;
		}
		if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
			goto st31;
		}
		{
			goto st0;
		}
		st31:
		p+= 1;
		if ( p == pe )
		goto _test_eof31;
		st_case_31:
		if ( ( (*( p))) == 46 ) {
			goto st22;
		}
		{
			goto st0;
		}
		st32:
		p+= 1;
		if ( p == pe )
		goto _test_eof32;
		st_case_32:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 46: {
				goto st20;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st33;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st33:
		p+= 1;
		if ( p == pe )
		goto _test_eof33;
		st_case_33:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 46: {
				goto st20;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		ctr18:
		{
			#line 24 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
		}
		
		goto st34;
		st34:
		p+= 1;
		if ( p == pe )
		goto _test_eof34;
		st_case_34:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 58: {
				goto st17;
			}
			case 80: {
				goto st35;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st35:
		p+= 1;
		if ( p == pe )
		goto _test_eof35;
		st_case_35:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
			case 118: {
				goto st36;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st36:
		p+= 1;
		if ( p == pe )
		goto _test_eof36;
		st_case_36:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 54: {
				goto st37;
			}
			case 58: {
				goto st17;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st37:
		p+= 1;
		if ( p == pe )
		goto _test_eof37;
		st_case_37:
		switch( ( (*( p))) ) {
			case 45: {
				goto st15;
			}
			case 58: {
				goto st38;
			}
			case 95: {
				goto st15;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
				goto st16;
			}
		} else if ( ( (*( p))) > 90 ) {
			if ( 97 <= ( (*( p))) && ( (*( p))) <= 122 ) {
				goto st16;
			}
		} else {
			goto st16;
		}
		{
			goto st0;
		}
		st38:
		p+= 1;
		if ( p == pe )
		goto _test_eof38;
		st_case_38:
		if ( ( (*( p))) == 58 ) {
			goto ctr44;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto ctr43;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto ctr43;
				}
			} else {
				goto st18;
			}
		} else {
			goto ctr43;
		}
		{
			goto st0;
		}
		ctr43:
		{
			#line 5 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			in_v6 = 1;
			ip_start = p;
		}
		
		goto st39;
		st39:
		p+= 1;
		if ( p == pe )
		goto _test_eof39;
		st_case_39:
		switch( ( (*( p))) ) {
			case 58: {
				goto st43;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st40;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st40;
				}
			} else {
				goto st18;
			}
		} else {
			goto st40;
		}
		{
			goto st0;
		}
		st40:
		p+= 1;
		if ( p == pe )
		goto _test_eof40;
		st_case_40:
		switch( ( (*( p))) ) {
			case 58: {
				goto st43;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st41;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st41;
				}
			} else {
				goto st18;
			}
		} else {
			goto st41;
		}
		{
			goto st0;
		}
		st41:
		p+= 1;
		if ( p == pe )
		goto _test_eof41;
		st_case_41:
		switch( ( (*( p))) ) {
			case 58: {
				goto st43;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st42;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st42;
				}
			} else {
				goto st18;
			}
		} else {
			goto st42;
		}
		{
			goto st0;
		}
		st42:
		p+= 1;
		if ( p == pe )
		goto _test_eof42;
		st_case_42:
		switch( ( (*( p))) ) {
			case 58: {
				goto st43;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st43:
		p+= 1;
		if ( p == pe )
		goto _test_eof43;
		st_case_43:
		switch( ( (*( p))) ) {
			case 58: {
				goto st118;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st44;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st44;
				}
			} else {
				goto st18;
			}
		} else {
			goto st44;
		}
		{
			goto st0;
		}
		st44:
		p+= 1;
		if ( p == pe )
		goto _test_eof44;
		st_case_44:
		switch( ( (*( p))) ) {
			case 58: {
				goto st48;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st45;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st45;
				}
			} else {
				goto st18;
			}
		} else {
			goto st45;
		}
		{
			goto st0;
		}
		st45:
		p+= 1;
		if ( p == pe )
		goto _test_eof45;
		st_case_45:
		switch( ( (*( p))) ) {
			case 58: {
				goto st48;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st46;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st46;
				}
			} else {
				goto st18;
			}
		} else {
			goto st46;
		}
		{
			goto st0;
		}
		st46:
		p+= 1;
		if ( p == pe )
		goto _test_eof46;
		st_case_46:
		switch( ( (*( p))) ) {
			case 58: {
				goto st48;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st47;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st47;
				}
			} else {
				goto st18;
			}
		} else {
			goto st47;
		}
		{
			goto st0;
		}
		st47:
		p+= 1;
		if ( p == pe )
		goto _test_eof47;
		st_case_47:
		switch( ( (*( p))) ) {
			case 58: {
				goto st48;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st48:
		p+= 1;
		if ( p == pe )
		goto _test_eof48;
		st_case_48:
		switch( ( (*( p))) ) {
			case 58: {
				goto st118;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st49;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st49;
				}
			} else {
				goto st18;
			}
		} else {
			goto st49;
		}
		{
			goto st0;
		}
		st49:
		p+= 1;
		if ( p == pe )
		goto _test_eof49;
		st_case_49:
		switch( ( (*( p))) ) {
			case 58: {
				goto st53;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st50;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st50;
				}
			} else {
				goto st18;
			}
		} else {
			goto st50;
		}
		{
			goto st0;
		}
		st50:
		p+= 1;
		if ( p == pe )
		goto _test_eof50;
		st_case_50:
		switch( ( (*( p))) ) {
			case 58: {
				goto st53;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st51;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st51;
				}
			} else {
				goto st18;
			}
		} else {
			goto st51;
		}
		{
			goto st0;
		}
		st51:
		p+= 1;
		if ( p == pe )
		goto _test_eof51;
		st_case_51:
		switch( ( (*( p))) ) {
			case 58: {
				goto st53;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st52;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st52;
				}
			} else {
				goto st18;
			}
		} else {
			goto st52;
		}
		{
			goto st0;
		}
		st52:
		p+= 1;
		if ( p == pe )
		goto _test_eof52;
		st_case_52:
		switch( ( (*( p))) ) {
			case 58: {
				goto st53;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st53:
		p+= 1;
		if ( p == pe )
		goto _test_eof53;
		st_case_53:
		switch( ( (*( p))) ) {
			case 58: {
				goto st118;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st54;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st54;
				}
			} else {
				goto st18;
			}
		} else {
			goto st54;
		}
		{
			goto st0;
		}
		st54:
		p+= 1;
		if ( p == pe )
		goto _test_eof54;
		st_case_54:
		switch( ( (*( p))) ) {
			case 58: {
				goto st58;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st55;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st55;
				}
			} else {
				goto st18;
			}
		} else {
			goto st55;
		}
		{
			goto st0;
		}
		st55:
		p+= 1;
		if ( p == pe )
		goto _test_eof55;
		st_case_55:
		switch( ( (*( p))) ) {
			case 58: {
				goto st58;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st56;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st56;
				}
			} else {
				goto st18;
			}
		} else {
			goto st56;
		}
		{
			goto st0;
		}
		st56:
		p+= 1;
		if ( p == pe )
		goto _test_eof56;
		st_case_56:
		switch( ( (*( p))) ) {
			case 58: {
				goto st58;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st57;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st57;
				}
			} else {
				goto st18;
			}
		} else {
			goto st57;
		}
		{
			goto st0;
		}
		st57:
		p+= 1;
		if ( p == pe )
		goto _test_eof57;
		st_case_57:
		switch( ( (*( p))) ) {
			case 58: {
				goto st58;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st58:
		p+= 1;
		if ( p == pe )
		goto _test_eof58;
		st_case_58:
		switch( ( (*( p))) ) {
			case 58: {
				goto st118;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st59;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st59;
				}
			} else {
				goto st18;
			}
		} else {
			goto st59;
		}
		{
			goto st0;
		}
		st59:
		p+= 1;
		if ( p == pe )
		goto _test_eof59;
		st_case_59:
		switch( ( (*( p))) ) {
			case 58: {
				goto st63;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st60;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st60;
				}
			} else {
				goto st18;
			}
		} else {
			goto st60;
		}
		{
			goto st0;
		}
		st60:
		p+= 1;
		if ( p == pe )
		goto _test_eof60;
		st_case_60:
		switch( ( (*( p))) ) {
			case 58: {
				goto st63;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st61;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st61;
				}
			} else {
				goto st18;
			}
		} else {
			goto st61;
		}
		{
			goto st0;
		}
		st61:
		p+= 1;
		if ( p == pe )
		goto _test_eof61;
		st_case_61:
		switch( ( (*( p))) ) {
			case 58: {
				goto st63;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st62;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st62;
				}
			} else {
				goto st18;
			}
		} else {
			goto st62;
		}
		{
			goto st0;
		}
		st62:
		p+= 1;
		if ( p == pe )
		goto _test_eof62;
		st_case_62:
		switch( ( (*( p))) ) {
			case 58: {
				goto st63;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st63:
		p+= 1;
		if ( p == pe )
		goto _test_eof63;
		st_case_63:
		switch( ( (*( p))) ) {
			case 58: {
				goto st92;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st64;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st64;
				}
			} else {
				goto st18;
			}
		} else {
			goto st64;
		}
		{
			goto st0;
		}
		st64:
		p+= 1;
		if ( p == pe )
		goto _test_eof64;
		st_case_64:
		switch( ( (*( p))) ) {
			case 58: {
				goto st68;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st65;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st65;
				}
			} else {
				goto st18;
			}
		} else {
			goto st65;
		}
		{
			goto st0;
		}
		st65:
		p+= 1;
		if ( p == pe )
		goto _test_eof65;
		st_case_65:
		switch( ( (*( p))) ) {
			case 58: {
				goto st68;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st66;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st66;
				}
			} else {
				goto st18;
			}
		} else {
			goto st66;
		}
		{
			goto st0;
		}
		st66:
		p+= 1;
		if ( p == pe )
		goto _test_eof66;
		st_case_66:
		switch( ( (*( p))) ) {
			case 58: {
				goto st68;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st67;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st67;
				}
			} else {
				goto st18;
			}
		} else {
			goto st67;
		}
		{
			goto st0;
		}
		st67:
		p+= 1;
		if ( p == pe )
		goto _test_eof67;
		st_case_67:
		switch( ( (*( p))) ) {
			case 58: {
				goto st68;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st68:
		p+= 1;
		if ( p == pe )
		goto _test_eof68;
		st_case_68:
		switch( ( (*( p))) ) {
			case 58: {
				goto st92;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto ctr76;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st117;
				}
			} else {
				goto st18;
			}
		} else {
			goto st117;
		}
		{
			goto st0;
		}
		ctr76:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st69;
		st69:
		p+= 1;
		if ( p == pe )
		goto _test_eof69;
		st_case_69:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st82;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st91;
				}
			} else {
				goto st18;
			}
		} else {
			goto st91;
		}
		{
			goto st0;
		}
		st70:
		p+= 1;
		if ( p == pe )
		goto _test_eof70;
		st_case_70:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st71;
		}
		{
			goto st0;
		}
		st71:
		p+= 1;
		if ( p == pe )
		goto _test_eof71;
		st_case_71:
		switch( ( (*( p))) ) {
			case 46: {
				goto st72;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st80;
		}
		{
			goto st0;
		}
		st72:
		p+= 1;
		if ( p == pe )
		goto _test_eof72;
		st_case_72:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st73;
		}
		{
			goto st0;
		}
		st73:
		p+= 1;
		if ( p == pe )
		goto _test_eof73;
		st_case_73:
		switch( ( (*( p))) ) {
			case 46: {
				goto st74;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st78;
		}
		{
			goto st0;
		}
		st74:
		p+= 1;
		if ( p == pe )
		goto _test_eof74;
		st_case_74:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st75;
		}
		{
			goto st0;
		}
		st75:
		p+= 1;
		if ( p == pe )
		goto _test_eof75;
		st_case_75:
		if ( ( (*( p))) == 93 ) {
			goto ctr90;
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st76;
		}
		{
			goto st0;
		}
		st76:
		p+= 1;
		if ( p == pe )
		goto _test_eof76;
		st_case_76:
		if ( ( (*( p))) == 93 ) {
			goto ctr90;
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st77;
		}
		{
			goto st0;
		}
		st77:
		p+= 1;
		if ( p == pe )
		goto _test_eof77;
		st_case_77:
		if ( ( (*( p))) == 93 ) {
			goto ctr90;
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st78:
		p+= 1;
		if ( p == pe )
		goto _test_eof78;
		st_case_78:
		switch( ( (*( p))) ) {
			case 46: {
				goto st74;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st79;
		}
		{
			goto st0;
		}
		st79:
		p+= 1;
		if ( p == pe )
		goto _test_eof79;
		st_case_79:
		switch( ( (*( p))) ) {
			case 46: {
				goto st74;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st80:
		p+= 1;
		if ( p == pe )
		goto _test_eof80;
		st_case_80:
		switch( ( (*( p))) ) {
			case 46: {
				goto st72;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 48 ) {
			if ( 33 <= ( (*( p))) ) {
				goto st18;
			}
		} else if ( ( (*( p))) > 57 ) {
			if ( ( (*( p))) > 90 ) {
				if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
					goto st18;
				}
			} else {
				goto st18;
			}
		} else {
			goto st81;
		}
		{
			goto st0;
		}
		st81:
		p+= 1;
		if ( p == pe )
		goto _test_eof81;
		st_case_81:
		switch( ( (*( p))) ) {
			case 46: {
				goto st72;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st82:
		p+= 1;
		if ( p == pe )
		goto _test_eof82;
		st_case_82:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st83;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st90;
				}
			} else {
				goto st18;
			}
		} else {
			goto st90;
		}
		{
			goto st0;
		}
		st83:
		p+= 1;
		if ( p == pe )
		goto _test_eof83;
		st_case_83:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st84;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st84;
				}
			} else {
				goto st18;
			}
		} else {
			goto st84;
		}
		{
			goto st0;
		}
		st84:
		p+= 1;
		if ( p == pe )
		goto _test_eof84;
		st_case_84:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st85:
		p+= 1;
		if ( p == pe )
		goto _test_eof85;
		st_case_85:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st86;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st86;
				}
			} else {
				goto st18;
			}
		} else {
			goto st86;
		}
		{
			goto st0;
		}
		st86:
		p+= 1;
		if ( p == pe )
		goto _test_eof86;
		st_case_86:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st87;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st87;
				}
			} else {
				goto st18;
			}
		} else {
			goto st87;
		}
		{
			goto st0;
		}
		st87:
		p+= 1;
		if ( p == pe )
		goto _test_eof87;
		st_case_87:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st88;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st88;
				}
			} else {
				goto st18;
			}
		} else {
			goto st88;
		}
		{
			goto st0;
		}
		st88:
		p+= 1;
		if ( p == pe )
		goto _test_eof88;
		st_case_88:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st89;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st89;
				}
			} else {
				goto st18;
			}
		} else {
			goto st89;
		}
		{
			goto st0;
		}
		st89:
		p+= 1;
		if ( p == pe )
		goto _test_eof89;
		st_case_89:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st90:
		p+= 1;
		if ( p == pe )
		goto _test_eof90;
		st_case_90:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st84;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st84;
				}
			} else {
				goto st18;
			}
		} else {
			goto st84;
		}
		{
			goto st0;
		}
		st91:
		p+= 1;
		if ( p == pe )
		goto _test_eof91;
		st_case_91:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st90;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st90;
				}
			} else {
				goto st18;
			}
		} else {
			goto st90;
		}
		{
			goto st0;
		}
		st92:
		p+= 1;
		if ( p == pe )
		goto _test_eof92;
		st_case_92:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st93;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st93;
				}
			} else {
				goto st18;
			}
		} else {
			goto st93;
		}
		{
			goto st0;
		}
		st93:
		p+= 1;
		if ( p == pe )
		goto _test_eof93;
		st_case_93:
		switch( ( (*( p))) ) {
			case 58: {
				goto st97;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st94;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st94;
				}
			} else {
				goto st18;
			}
		} else {
			goto st94;
		}
		{
			goto st0;
		}
		st94:
		p+= 1;
		if ( p == pe )
		goto _test_eof94;
		st_case_94:
		switch( ( (*( p))) ) {
			case 58: {
				goto st97;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st95;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st95;
				}
			} else {
				goto st18;
			}
		} else {
			goto st95;
		}
		{
			goto st0;
		}
		st95:
		p+= 1;
		if ( p == pe )
		goto _test_eof95;
		st_case_95:
		switch( ( (*( p))) ) {
			case 58: {
				goto st97;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st96;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st96;
				}
			} else {
				goto st18;
			}
		} else {
			goto st96;
		}
		{
			goto st0;
		}
		st96:
		p+= 1;
		if ( p == pe )
		goto _test_eof96;
		st_case_96:
		switch( ( (*( p))) ) {
			case 58: {
				goto st97;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st97:
		p+= 1;
		if ( p == pe )
		goto _test_eof97;
		st_case_97:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st98;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st98;
				}
			} else {
				goto st18;
			}
		} else {
			goto st98;
		}
		{
			goto st0;
		}
		st98:
		p+= 1;
		if ( p == pe )
		goto _test_eof98;
		st_case_98:
		switch( ( (*( p))) ) {
			case 58: {
				goto st102;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st99;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st99;
				}
			} else {
				goto st18;
			}
		} else {
			goto st99;
		}
		{
			goto st0;
		}
		st99:
		p+= 1;
		if ( p == pe )
		goto _test_eof99;
		st_case_99:
		switch( ( (*( p))) ) {
			case 58: {
				goto st102;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st100;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st100;
				}
			} else {
				goto st18;
			}
		} else {
			goto st100;
		}
		{
			goto st0;
		}
		st100:
		p+= 1;
		if ( p == pe )
		goto _test_eof100;
		st_case_100:
		switch( ( (*( p))) ) {
			case 58: {
				goto st102;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st101;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st101;
				}
			} else {
				goto st18;
			}
		} else {
			goto st101;
		}
		{
			goto st0;
		}
		st101:
		p+= 1;
		if ( p == pe )
		goto _test_eof101;
		st_case_101:
		switch( ( (*( p))) ) {
			case 58: {
				goto st102;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st102:
		p+= 1;
		if ( p == pe )
		goto _test_eof102;
		st_case_102:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st103;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st103;
				}
			} else {
				goto st18;
			}
		} else {
			goto st103;
		}
		{
			goto st0;
		}
		st103:
		p+= 1;
		if ( p == pe )
		goto _test_eof103;
		st_case_103:
		switch( ( (*( p))) ) {
			case 58: {
				goto st107;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st104;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st104;
				}
			} else {
				goto st18;
			}
		} else {
			goto st104;
		}
		{
			goto st0;
		}
		st104:
		p+= 1;
		if ( p == pe )
		goto _test_eof104;
		st_case_104:
		switch( ( (*( p))) ) {
			case 58: {
				goto st107;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st105;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st105;
				}
			} else {
				goto st18;
			}
		} else {
			goto st105;
		}
		{
			goto st0;
		}
		st105:
		p+= 1;
		if ( p == pe )
		goto _test_eof105;
		st_case_105:
		switch( ( (*( p))) ) {
			case 58: {
				goto st107;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st106;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st106;
				}
			} else {
				goto st18;
			}
		} else {
			goto st106;
		}
		{
			goto st0;
		}
		st106:
		p+= 1;
		if ( p == pe )
		goto _test_eof106;
		st_case_106:
		switch( ( (*( p))) ) {
			case 58: {
				goto st107;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st107:
		p+= 1;
		if ( p == pe )
		goto _test_eof107;
		st_case_107:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st108;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st108;
				}
			} else {
				goto st18;
			}
		} else {
			goto st108;
		}
		{
			goto st0;
		}
		st108:
		p+= 1;
		if ( p == pe )
		goto _test_eof108;
		st_case_108:
		switch( ( (*( p))) ) {
			case 58: {
				goto st112;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st109;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st109;
				}
			} else {
				goto st18;
			}
		} else {
			goto st109;
		}
		{
			goto st0;
		}
		st109:
		p+= 1;
		if ( p == pe )
		goto _test_eof109;
		st_case_109:
		switch( ( (*( p))) ) {
			case 58: {
				goto st112;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st110;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st110;
				}
			} else {
				goto st18;
			}
		} else {
			goto st110;
		}
		{
			goto st0;
		}
		st110:
		p+= 1;
		if ( p == pe )
		goto _test_eof110;
		st_case_110:
		switch( ( (*( p))) ) {
			case 58: {
				goto st112;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st111;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st111;
				}
			} else {
				goto st18;
			}
		} else {
			goto st111;
		}
		{
			goto st0;
		}
		st111:
		p+= 1;
		if ( p == pe )
		goto _test_eof111;
		st_case_111:
		switch( ( (*( p))) ) {
			case 58: {
				goto st112;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st112:
		p+= 1;
		if ( p == pe )
		goto _test_eof112;
		st_case_112:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto st113;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st113;
				}
			} else {
				goto st18;
			}
		} else {
			goto st113;
		}
		{
			goto st0;
		}
		st113:
		p+= 1;
		if ( p == pe )
		goto _test_eof113;
		st_case_113:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st114;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st114;
				}
			} else {
				goto st18;
			}
		} else {
			goto st114;
		}
		{
			goto st0;
		}
		st114:
		p+= 1;
		if ( p == pe )
		goto _test_eof114;
		st_case_114:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st115;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st115;
				}
			} else {
				goto st18;
			}
		} else {
			goto st115;
		}
		{
			goto st0;
		}
		st115:
		p+= 1;
		if ( p == pe )
		goto _test_eof115;
		st_case_115:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st116;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st116;
				}
			} else {
				goto st18;
			}
		} else {
			goto st116;
		}
		{
			goto st0;
		}
		st116:
		p+= 1;
		if ( p == pe )
		goto _test_eof116;
		st_case_116:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st117:
		p+= 1;
		if ( p == pe )
		goto _test_eof117;
		st_case_117:
		switch( ( (*( p))) ) {
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st91;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st91;
				}
			} else {
				goto st18;
			}
		} else {
			goto st91;
		}
		{
			goto st0;
		}
		st118:
		p+= 1;
		if ( p == pe )
		goto _test_eof118;
		st_case_118:
		if ( ( (*( p))) == 93 ) {
			goto ctr99;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto ctr126;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st153;
				}
			} else {
				goto st18;
			}
		} else {
			goto st153;
		}
		{
			goto st0;
		}
		ctr126:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st119;
		st119:
		p+= 1;
		if ( p == pe )
		goto _test_eof119;
		st_case_119:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st120;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st152;
				}
			} else {
				goto st18;
			}
		} else {
			goto st152;
		}
		{
			goto st0;
		}
		st120:
		p+= 1;
		if ( p == pe )
		goto _test_eof120;
		st_case_120:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st121;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st151;
				}
			} else {
				goto st18;
			}
		} else {
			goto st151;
		}
		{
			goto st0;
		}
		st121:
		p+= 1;
		if ( p == pe )
		goto _test_eof121;
		st_case_121:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st122;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st122;
				}
			} else {
				goto st18;
			}
		} else {
			goto st122;
		}
		{
			goto st0;
		}
		st122:
		p+= 1;
		if ( p == pe )
		goto _test_eof122;
		st_case_122:
		switch( ( (*( p))) ) {
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st123:
		p+= 1;
		if ( p == pe )
		goto _test_eof123;
		st_case_123:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto ctr134;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st150;
				}
			} else {
				goto st18;
			}
		} else {
			goto st150;
		}
		{
			goto st0;
		}
		ctr134:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st124;
		st124:
		p+= 1;
		if ( p == pe )
		goto _test_eof124;
		st_case_124:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st125;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st149;
				}
			} else {
				goto st18;
			}
		} else {
			goto st149;
		}
		{
			goto st0;
		}
		st125:
		p+= 1;
		if ( p == pe )
		goto _test_eof125;
		st_case_125:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st126;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st148;
				}
			} else {
				goto st18;
			}
		} else {
			goto st148;
		}
		{
			goto st0;
		}
		st126:
		p+= 1;
		if ( p == pe )
		goto _test_eof126;
		st_case_126:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st127;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st127;
				}
			} else {
				goto st18;
			}
		} else {
			goto st127;
		}
		{
			goto st0;
		}
		st127:
		p+= 1;
		if ( p == pe )
		goto _test_eof127;
		st_case_127:
		switch( ( (*( p))) ) {
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st128:
		p+= 1;
		if ( p == pe )
		goto _test_eof128;
		st_case_128:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto ctr142;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st147;
				}
			} else {
				goto st18;
			}
		} else {
			goto st147;
		}
		{
			goto st0;
		}
		ctr142:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st129;
		st129:
		p+= 1;
		if ( p == pe )
		goto _test_eof129;
		st_case_129:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st130;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st146;
				}
			} else {
				goto st18;
			}
		} else {
			goto st146;
		}
		{
			goto st0;
		}
		st130:
		p+= 1;
		if ( p == pe )
		goto _test_eof130;
		st_case_130:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st131;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st145;
				}
			} else {
				goto st18;
			}
		} else {
			goto st145;
		}
		{
			goto st0;
		}
		st131:
		p+= 1;
		if ( p == pe )
		goto _test_eof131;
		st_case_131:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st132;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st132;
				}
			} else {
				goto st18;
			}
		} else {
			goto st132;
		}
		{
			goto st0;
		}
		st132:
		p+= 1;
		if ( p == pe )
		goto _test_eof132;
		st_case_132:
		switch( ( (*( p))) ) {
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st133:
		p+= 1;
		if ( p == pe )
		goto _test_eof133;
		st_case_133:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto ctr150;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st144;
				}
			} else {
				goto st18;
			}
		} else {
			goto st144;
		}
		{
			goto st0;
		}
		ctr150:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st134;
		st134:
		p+= 1;
		if ( p == pe )
		goto _test_eof134;
		st_case_134:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st135;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st143;
				}
			} else {
				goto st18;
			}
		} else {
			goto st143;
		}
		{
			goto st0;
		}
		st135:
		p+= 1;
		if ( p == pe )
		goto _test_eof135;
		st_case_135:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st136;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st142;
				}
			} else {
				goto st18;
			}
		} else {
			goto st142;
		}
		{
			goto st0;
		}
		st136:
		p+= 1;
		if ( p == pe )
		goto _test_eof136;
		st_case_136:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st137;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st137;
				}
			} else {
				goto st18;
			}
		} else {
			goto st137;
		}
		{
			goto st0;
		}
		st137:
		p+= 1;
		if ( p == pe )
		goto _test_eof137;
		st_case_137:
		switch( ( (*( p))) ) {
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st138:
		p+= 1;
		if ( p == pe )
		goto _test_eof138;
		st_case_138:
		if ( ( (*( p))) == 93 ) {
			goto ctr23;
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				{
					goto st18;
				}
			} else {
				goto ctr158;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st113;
				}
			} else {
				goto st18;
			}
		} else {
			goto st113;
		}
		{
			goto st0;
		}
		ctr158:
		{
			#line 13 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			if (!in_v6) {
				ip_start = p;
			}
		}
		
		goto st139;
		st139:
		p+= 1;
		if ( p == pe )
		goto _test_eof139;
		st_case_139:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st140;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st114;
				}
			} else {
				goto st18;
			}
		} else {
			goto st114;
		}
		{
			goto st0;
		}
		st140:
		p+= 1;
		if ( p == pe )
		goto _test_eof140;
		st_case_140:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st141;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st115;
				}
			} else {
				goto st18;
			}
		} else {
			goto st115;
		}
		{
			goto st0;
		}
		st141:
		p+= 1;
		if ( p == pe )
		goto _test_eof141;
		st_case_141:
		switch( ( (*( p))) ) {
			case 46: {
				goto st70;
			}
			case 58: {
				goto st85;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st116;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st116;
				}
			} else {
				goto st18;
			}
		} else {
			goto st116;
		}
		{
			goto st0;
		}
		st142:
		p+= 1;
		if ( p == pe )
		goto _test_eof142;
		st_case_142:
		switch( ( (*( p))) ) {
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st137;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st137;
				}
			} else {
				goto st18;
			}
		} else {
			goto st137;
		}
		{
			goto st0;
		}
		st143:
		p+= 1;
		if ( p == pe )
		goto _test_eof143;
		st_case_143:
		switch( ( (*( p))) ) {
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st142;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st142;
				}
			} else {
				goto st18;
			}
		} else {
			goto st142;
		}
		{
			goto st0;
		}
		st144:
		p+= 1;
		if ( p == pe )
		goto _test_eof144;
		st_case_144:
		switch( ( (*( p))) ) {
			case 58: {
				goto st138;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st143;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st143;
				}
			} else {
				goto st18;
			}
		} else {
			goto st143;
		}
		{
			goto st0;
		}
		st145:
		p+= 1;
		if ( p == pe )
		goto _test_eof145;
		st_case_145:
		switch( ( (*( p))) ) {
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st132;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st132;
				}
			} else {
				goto st18;
			}
		} else {
			goto st132;
		}
		{
			goto st0;
		}
		st146:
		p+= 1;
		if ( p == pe )
		goto _test_eof146;
		st_case_146:
		switch( ( (*( p))) ) {
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st145;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st145;
				}
			} else {
				goto st18;
			}
		} else {
			goto st145;
		}
		{
			goto st0;
		}
		st147:
		p+= 1;
		if ( p == pe )
		goto _test_eof147;
		st_case_147:
		switch( ( (*( p))) ) {
			case 58: {
				goto st133;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st146;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st146;
				}
			} else {
				goto st18;
			}
		} else {
			goto st146;
		}
		{
			goto st0;
		}
		st148:
		p+= 1;
		if ( p == pe )
		goto _test_eof148;
		st_case_148:
		switch( ( (*( p))) ) {
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st127;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st127;
				}
			} else {
				goto st18;
			}
		} else {
			goto st127;
		}
		{
			goto st0;
		}
		st149:
		p+= 1;
		if ( p == pe )
		goto _test_eof149;
		st_case_149:
		switch( ( (*( p))) ) {
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st148;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st148;
				}
			} else {
				goto st18;
			}
		} else {
			goto st148;
		}
		{
			goto st0;
		}
		st150:
		p+= 1;
		if ( p == pe )
		goto _test_eof150;
		st_case_150:
		switch( ( (*( p))) ) {
			case 58: {
				goto st128;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st149;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st149;
				}
			} else {
				goto st18;
			}
		} else {
			goto st149;
		}
		{
			goto st0;
		}
		st151:
		p+= 1;
		if ( p == pe )
		goto _test_eof151;
		st_case_151:
		switch( ( (*( p))) ) {
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st122;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st122;
				}
			} else {
				goto st18;
			}
		} else {
			goto st122;
		}
		{
			goto st0;
		}
		st152:
		p+= 1;
		if ( p == pe )
		goto _test_eof152;
		st_case_152:
		switch( ( (*( p))) ) {
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st151;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st151;
				}
			} else {
				goto st18;
			}
		} else {
			goto st151;
		}
		{
			goto st0;
		}
		st153:
		p+= 1;
		if ( p == pe )
		goto _test_eof153;
		st_case_153:
		switch( ( (*( p))) ) {
			case 58: {
				goto st123;
			}
			case 93: {
				goto ctr99;
			}
		}
		if ( ( (*( p))) < 65 ) {
			if ( ( (*( p))) < 48 ) {
				if ( 33 <= ( (*( p))) ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 57 ) {
				if ( 59 <= ( (*( p))) ) {
					goto st18;
				}
			} else {
				goto st152;
			}
		} else if ( ( (*( p))) > 70 ) {
			if ( ( (*( p))) < 94 ) {
				if ( ( (*( p))) <= 90 ) {
					goto st18;
				}
			} else if ( ( (*( p))) > 96 ) {
				if ( ( (*( p))) > 102 ) {
					if ( ( (*( p))) <= 126 ) {
						goto st18;
					}
				} else {
					goto st152;
				}
			} else {
				goto st18;
			}
		} else {
			goto st152;
		}
		{
			goto st0;
		}
		ctr44:
		{
			#line 5 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
			
			in_v6 = 1;
			ip_start = p;
		}
		
		goto st154;
		st154:
		p+= 1;
		if ( p == pe )
		goto _test_eof154;
		st_case_154:
		switch( ( (*( p))) ) {
			case 58: {
				goto st118;
			}
			case 93: {
				goto ctr23;
			}
		}
		if ( ( (*( p))) > 90 ) {
			if ( 94 <= ( (*( p))) && ( (*( p))) <= 126 ) {
				goto st18;
			}
		} else if ( ( (*( p))) >= 33 ) {
			goto st18;
		}
		{
			goto st0;
		}
		st_out:
		_test_eof2: cs = 2; goto _test_eof; 
		_test_eof3: cs = 3; goto _test_eof; 
		_test_eof4: cs = 4; goto _test_eof; 
		_test_eof5: cs = 5; goto _test_eof; 
		_test_eof6: cs = 6; goto _test_eof; 
		_test_eof7: cs = 7; goto _test_eof; 
		_test_eof155: cs = 155; goto _test_eof; 
		_test_eof156: cs = 156; goto _test_eof; 
		_test_eof157: cs = 157; goto _test_eof; 
		_test_eof8: cs = 8; goto _test_eof; 
		_test_eof9: cs = 9; goto _test_eof; 
		_test_eof10: cs = 10; goto _test_eof; 
		_test_eof11: cs = 11; goto _test_eof; 
		_test_eof12: cs = 12; goto _test_eof; 
		_test_eof13: cs = 13; goto _test_eof; 
		_test_eof14: cs = 14; goto _test_eof; 
		_test_eof15: cs = 15; goto _test_eof; 
		_test_eof16: cs = 16; goto _test_eof; 
		_test_eof17: cs = 17; goto _test_eof; 
		_test_eof18: cs = 18; goto _test_eof; 
		_test_eof158: cs = 158; goto _test_eof; 
		_test_eof19: cs = 19; goto _test_eof; 
		_test_eof20: cs = 20; goto _test_eof; 
		_test_eof21: cs = 21; goto _test_eof; 
		_test_eof22: cs = 22; goto _test_eof; 
		_test_eof23: cs = 23; goto _test_eof; 
		_test_eof24: cs = 24; goto _test_eof; 
		_test_eof25: cs = 25; goto _test_eof; 
		_test_eof26: cs = 26; goto _test_eof; 
		_test_eof27: cs = 27; goto _test_eof; 
		_test_eof28: cs = 28; goto _test_eof; 
		_test_eof29: cs = 29; goto _test_eof; 
		_test_eof30: cs = 30; goto _test_eof; 
		_test_eof31: cs = 31; goto _test_eof; 
		_test_eof32: cs = 32; goto _test_eof; 
		_test_eof33: cs = 33; goto _test_eof; 
		_test_eof34: cs = 34; goto _test_eof; 
		_test_eof35: cs = 35; goto _test_eof; 
		_test_eof36: cs = 36; goto _test_eof; 
		_test_eof37: cs = 37; goto _test_eof; 
		_test_eof38: cs = 38; goto _test_eof; 
		_test_eof39: cs = 39; goto _test_eof; 
		_test_eof40: cs = 40; goto _test_eof; 
		_test_eof41: cs = 41; goto _test_eof; 
		_test_eof42: cs = 42; goto _test_eof; 
		_test_eof43: cs = 43; goto _test_eof; 
		_test_eof44: cs = 44; goto _test_eof; 
		_test_eof45: cs = 45; goto _test_eof; 
		_test_eof46: cs = 46; goto _test_eof; 
		_test_eof47: cs = 47; goto _test_eof; 
		_test_eof48: cs = 48; goto _test_eof; 
		_test_eof49: cs = 49; goto _test_eof; 
		_test_eof50: cs = 50; goto _test_eof; 
		_test_eof51: cs = 51; goto _test_eof; 
		_test_eof52: cs = 52; goto _test_eof; 
		_test_eof53: cs = 53; goto _test_eof; 
		_test_eof54: cs = 54; goto _test_eof; 
		_test_eof55: cs = 55; goto _test_eof; 
		_test_eof56: cs = 56; goto _test_eof; 
		_test_eof57: cs = 57; goto _test_eof; 
		_test_eof58: cs = 58; goto _test_eof; 
		_test_eof59: cs = 59; goto _test_eof; 
		_test_eof60: cs = 60; goto _test_eof; 
		_test_eof61: cs = 61; goto _test_eof; 
		_test_eof62: cs = 62; goto _test_eof; 
		_test_eof63: cs = 63; goto _test_eof; 
		_test_eof64: cs = 64; goto _test_eof; 
		_test_eof65: cs = 65; goto _test_eof; 
		_test_eof66: cs = 66; goto _test_eof; 
		_test_eof67: cs = 67; goto _test_eof; 
		_test_eof68: cs = 68; goto _test_eof; 
		_test_eof69: cs = 69; goto _test_eof; 
		_test_eof70: cs = 70; goto _test_eof; 
		_test_eof71: cs = 71; goto _test_eof; 
		_test_eof72: cs = 72; goto _test_eof; 
		_test_eof73: cs = 73; goto _test_eof; 
		_test_eof74: cs = 74; goto _test_eof; 
		_test_eof75: cs = 75; goto _test_eof; 
		_test_eof76: cs = 76; goto _test_eof; 
		_test_eof77: cs = 77; goto _test_eof; 
		_test_eof78: cs = 78; goto _test_eof; 
		_test_eof79: cs = 79; goto _test_eof; 
		_test_eof80: cs = 80; goto _test_eof; 
		_test_eof81: cs = 81; goto _test_eof; 
		_test_eof82: cs = 82; goto _test_eof; 
		_test_eof83: cs = 83; goto _test_eof; 
		_test_eof84: cs = 84; goto _test_eof; 
		_test_eof85: cs = 85; goto _test_eof; 
		_test_eof86: cs = 86; goto _test_eof; 
		_test_eof87: cs = 87; goto _test_eof; 
		_test_eof88: cs = 88; goto _test_eof; 
		_test_eof89: cs = 89; goto _test_eof; 
		_test_eof90: cs = 90; goto _test_eof; 
		_test_eof91: cs = 91; goto _test_eof; 
		_test_eof92: cs = 92; goto _test_eof; 
		_test_eof93: cs = 93; goto _test_eof; 
		_test_eof94: cs = 94; goto _test_eof; 
		_test_eof95: cs = 95; goto _test_eof; 
		_test_eof96: cs = 96; goto _test_eof; 
		_test_eof97: cs = 97; goto _test_eof; 
		_test_eof98: cs = 98; goto _test_eof; 
		_test_eof99: cs = 99; goto _test_eof; 
		_test_eof100: cs = 100; goto _test_eof; 
		_test_eof101: cs = 101; goto _test_eof; 
		_test_eof102: cs = 102; goto _test_eof; 
		_test_eof103: cs = 103; goto _test_eof; 
		_test_eof104: cs = 104; goto _test_eof; 
		_test_eof105: cs = 105; goto _test_eof; 
		_test_eof106: cs = 106; goto _test_eof; 
		_test_eof107: cs = 107; goto _test_eof; 
		_test_eof108: cs = 108; goto _test_eof; 
		_test_eof109: cs = 109; goto _test_eof; 
		_test_eof110: cs = 110; goto _test_eof; 
		_test_eof111: cs = 111; goto _test_eof; 
		_test_eof112: cs = 112; goto _test_eof; 
		_test_eof113: cs = 113; goto _test_eof; 
		_test_eof114: cs = 114; goto _test_eof; 
		_test_eof115: cs = 115; goto _test_eof; 
		_test_eof116: cs = 116; goto _test_eof; 
		_test_eof117: cs = 117; goto _test_eof; 
		_test_eof118: cs = 118; goto _test_eof; 
		_test_eof119: cs = 119; goto _test_eof; 
		_test_eof120: cs = 120; goto _test_eof; 
		_test_eof121: cs = 121; goto _test_eof; 
		_test_eof122: cs = 122; goto _test_eof; 
		_test_eof123: cs = 123; goto _test_eof; 
		_test_eof124: cs = 124; goto _test_eof; 
		_test_eof125: cs = 125; goto _test_eof; 
		_test_eof126: cs = 126; goto _test_eof; 
		_test_eof127: cs = 127; goto _test_eof; 
		_test_eof128: cs = 128; goto _test_eof; 
		_test_eof129: cs = 129; goto _test_eof; 
		_test_eof130: cs = 130; goto _test_eof; 
		_test_eof131: cs = 131; goto _test_eof; 
		_test_eof132: cs = 132; goto _test_eof; 
		_test_eof133: cs = 133; goto _test_eof; 
		_test_eof134: cs = 134; goto _test_eof; 
		_test_eof135: cs = 135; goto _test_eof; 
		_test_eof136: cs = 136; goto _test_eof; 
		_test_eof137: cs = 137; goto _test_eof; 
		_test_eof138: cs = 138; goto _test_eof; 
		_test_eof139: cs = 139; goto _test_eof; 
		_test_eof140: cs = 140; goto _test_eof; 
		_test_eof141: cs = 141; goto _test_eof; 
		_test_eof142: cs = 142; goto _test_eof; 
		_test_eof143: cs = 143; goto _test_eof; 
		_test_eof144: cs = 144; goto _test_eof; 
		_test_eof145: cs = 145; goto _test_eof; 
		_test_eof146: cs = 146; goto _test_eof; 
		_test_eof147: cs = 147; goto _test_eof; 
		_test_eof148: cs = 148; goto _test_eof; 
		_test_eof149: cs = 149; goto _test_eof; 
		_test_eof150: cs = 150; goto _test_eof; 
		_test_eof151: cs = 151; goto _test_eof; 
		_test_eof152: cs = 152; goto _test_eof; 
		_test_eof153: cs = 153; goto _test_eof; 
		_test_eof154: cs = 154; goto _test_eof; 
		
		_test_eof: {}
		if ( p == eof )
		{
			switch ( cs ) {
				case 1: {
					
					break; }
				case 0: {
					
					break; }
				case 2: {
					
					break; }
				case 3: {
					
					break; }
				case 4: {
					
					break; }
				case 5: {
					
					break; }
				case 6: {
					
					break; }
				case 7: {
					
					break; }
				case 155: {
					
					break; }
				case 156: {
					
					break; }
				case 157: {
					
					break; }
				case 8: {
					
					break; }
				case 9: {
					
					break; }
				case 10: {
					
					break; }
				case 11: {
					
					break; }
				case 12: {
					
					break; }
				case 13: {
					
					break; }
				case 14: {
					
					break; }
				case 15: {
					
					break; }
				case 16: {
					
					break; }
				case 17: {
					
					break; }
				case 18: {
					
					break; }
				case 158: {
					
					break; }
				case 19: {
					
					break; }
				case 20: {
					
					break; }
				case 21: {
					
					break; }
				case 22: {
					
					break; }
				case 23: {
					
					break; }
				case 24: {
					
					break; }
				case 25: {
					
					break; }
				case 26: {
					
					break; }
				case 27: {
					
					break; }
				case 28: {
					
					break; }
				case 29: {
					
					break; }
				case 30: {
					
					break; }
				case 31: {
					
					break; }
				case 32: {
					
					break; }
				case 33: {
					
					break; }
				case 34: {
					
					break; }
				case 35: {
					
					break; }
				case 36: {
					
					break; }
				case 37: {
					
					break; }
				case 38: {
					
					break; }
				case 39: {
					
					break; }
				case 40: {
					
					break; }
				case 41: {
					
					break; }
				case 42: {
					
					break; }
				case 43: {
					
					break; }
				case 44: {
					
					break; }
				case 45: {
					
					break; }
				case 46: {
					
					break; }
				case 47: {
					
					break; }
				case 48: {
					
					break; }
				case 49: {
					
					break; }
				case 50: {
					
					break; }
				case 51: {
					
					break; }
				case 52: {
					
					break; }
				case 53: {
					
					break; }
				case 54: {
					
					break; }
				case 55: {
					
					break; }
				case 56: {
					
					break; }
				case 57: {
					
					break; }
				case 58: {
					
					break; }
				case 59: {
					
					break; }
				case 60: {
					
					break; }
				case 61: {
					
					break; }
				case 62: {
					
					break; }
				case 63: {
					
					break; }
				case 64: {
					
					break; }
				case 65: {
					
					break; }
				case 66: {
					
					break; }
				case 67: {
					
					break; }
				case 68: {
					
					break; }
				case 69: {
					
					break; }
				case 70: {
					
					break; }
				case 71: {
					
					break; }
				case 72: {
					
					break; }
				case 73: {
					
					break; }
				case 74: {
					
					break; }
				case 75: {
					
					break; }
				case 76: {
					
					break; }
				case 77: {
					
					break; }
				case 78: {
					
					break; }
				case 79: {
					
					break; }
				case 80: {
					
					break; }
				case 81: {
					
					break; }
				case 82: {
					
					break; }
				case 83: {
					
					break; }
				case 84: {
					
					break; }
				case 85: {
					
					break; }
				case 86: {
					
					break; }
				case 87: {
					
					break; }
				case 88: {
					
					break; }
				case 89: {
					
					break; }
				case 90: {
					
					break; }
				case 91: {
					
					break; }
				case 92: {
					
					break; }
				case 93: {
					
					break; }
				case 94: {
					
					break; }
				case 95: {
					
					break; }
				case 96: {
					
					break; }
				case 97: {
					
					break; }
				case 98: {
					
					break; }
				case 99: {
					
					break; }
				case 100: {
					
					break; }
				case 101: {
					
					break; }
				case 102: {
					
					break; }
				case 103: {
					
					break; }
				case 104: {
					
					break; }
				case 105: {
					
					break; }
				case 106: {
					
					break; }
				case 107: {
					
					break; }
				case 108: {
					
					break; }
				case 109: {
					
					break; }
				case 110: {
					
					break; }
				case 111: {
					
					break; }
				case 112: {
					
					break; }
				case 113: {
					
					break; }
				case 114: {
					
					break; }
				case 115: {
					
					break; }
				case 116: {
					
					break; }
				case 117: {
					
					break; }
				case 118: {
					
					break; }
				case 119: {
					
					break; }
				case 120: {
					
					break; }
				case 121: {
					
					break; }
				case 122: {
					
					break; }
				case 123: {
					
					break; }
				case 124: {
					
					break; }
				case 125: {
					
					break; }
				case 126: {
					
					break; }
				case 127: {
					
					break; }
				case 128: {
					
					break; }
				case 129: {
					
					break; }
				case 130: {
					
					break; }
				case 131: {
					
					break; }
				case 132: {
					
					break; }
				case 133: {
					
					break; }
				case 134: {
					
					break; }
				case 135: {
					
					break; }
				case 136: {
					
					break; }
				case 137: {
					
					break; }
				case 138: {
					
					break; }
				case 139: {
					
					break; }
				case 140: {
					
					break; }
				case 141: {
					
					break; }
				case 142: {
					
					break; }
				case 143: {
					
					break; }
				case 144: {
					
					break; }
				case 145: {
					
					break; }
				case 146: {
					
					break; }
				case 147: {
					
					break; }
				case 148: {
					
					break; }
				case 149: {
					
					break; }
				case 150: {
					
					break; }
				case 151: {
					
					break; }
				case 152: {
					
					break; }
				case 153: {
					
					break; }
				case 154: {
					
					break; }
			}
			switch ( cs ) {
			}
			switch ( cs ) {
				case 155: 
				
				case 156: 
				
				case 157: 
				{
					#line 18 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
					
					if (!in_v6) {
						ip_end = p;
					}
				}	{
					#line 25 "/home/hanzlik/src/rpm/BUILD/rspamd-1.9.0-git.20190403.211200/src/ragel/smtp_ip_parser.rl"
				}
				break;
			}
		}
		
		_out: {}
	}
	
	
	if (ip_start && ip_end && ip_end > ip_start) {
		return rspamd_parse_inet_address_pool (ip_start, ip_end - ip_start, pool);
	}
	
	return NULL;
}